Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class PurchaseItemType

    java.lang.Object
      nz.co.cks.tms.xml.PurchaseItemType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PurchaseItem

public abstract class PurchaseItemType
extends java.lang.Object
implements java.io.Serializable

Class PurchaseItemType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `_customerOnChargeRef` Field _customerOnChargeRef
`private java.lang.String` | `_deliveryMethod` Field _deliveryMethod
`private java.lang.String` | `_deliveryTrackingRef` Field _deliveryTrackingRef
`private boolean` | `_has_itemQuantity` keeps track of state for field: _itemQuantity
`private java.lang.String` | `_itemCode` Field _itemCode
`private java.math.BigDecimal` | `_itemCost` Field _itemCost
`private int` | `_itemQuantity` Field _itemQuantity
`private java.lang.String` | `_serviceCode` Field _serviceCode
`private java.lang.String` | `_serviceRequest` Field _serviceRequest
`private java.lang.String` | `_serviceResponse` Field _serviceResponse
`private java.lang.String` | `_serviceSessionId` Field _serviceSessionId
`private java.lang.String` | `_voucherPresented` Field _voucherPresented

Constructor Summary
`PurchaseItemType()`

Method Summary
`java.lang.String` | `getCustomerOnChargeRef()` Method getCustomerOnChargeRefReturns the value of field 'customerOnChargeRef'.
`java.lang.String` | `getDeliveryMethod()` Method getDeliveryMethodReturns the value of field 'deliveryMethod'.
`java.lang.String` | `getDeliveryTrackingRef()` Method getDeliveryTrackingRefReturns the value of field 'deliveryTrackingRef'.
`java.lang.String` | `getItemCode()` Method getItemCodeReturns the value of field 'itemCode'.
`java.math.BigDecimal` | `getItemCost()` Method getItemCostReturns the value of field 'itemCost'.
`int` | `getItemQuantity()` Method getItemQuantityReturns the value of field 'itemQuantity'.
`java.lang.String` | `getServiceCode()` Method getServiceCodeReturns the value of field 'serviceCode'.
`java.lang.String` | `getServiceRequest()` Method getServiceRequestReturns the value of field 'serviceRequest'.
`java.lang.String` | `getServiceResponse()` Method getServiceResponseReturns the value of field 'serviceResponse'.
`java.lang.String` | `getServiceSessionId()` Method getServiceSessionIdReturns the value of field 'serviceSessionId'.
`java.lang.String` | `getVoucherPresented()` Method getVoucherPresentedReturns the value of field 'voucherPresented'.
`boolean` | `hasItemQuantity()` Method hasItemQuantity
`boolean` | `isValid()` Method isValid
`void` | `setCustomerOnChargeRef(java.lang.String customerOnChargeRef)` Method setCustomerOnChargeRefSets the value of field 'customerOnChargeRef'.
`void` | `setDeliveryMethod(java.lang.String deliveryMethod)` Method setDeliveryMethodSets the value of field 'deliveryMethod'.
`void` | `setDeliveryTrackingRef(java.lang.String deliveryTrackingRef)` Method setDeliveryTrackingRefSets the value of field 'deliveryTrackingRef'.
`void` | `setItemCode(java.lang.String itemCode)` Method setItemCodeSets the value of field 'itemCode'.
`void` | `setItemCost(java.math.BigDecimal itemCost)` Method setItemCostSets the value of field 'itemCost'.
`void` | `setItemQuantity(int itemQuantity)` Method setItemQuantitySets the value of field 'itemQuantity'.
`void` | `setServiceCode(java.lang.String serviceCode)` Method setServiceCodeSets the value of field 'serviceCode'.
`void` | `setServiceRequest(java.lang.String serviceRequest)` Method setServiceRequestSets the value of field 'serviceRequest'.
`void` | `setServiceResponse(java.lang.String serviceResponse)` Method setServiceResponseSets the value of field 'serviceResponse'.
`void` | `setServiceSessionId(java.lang.String serviceSessionId)` Method setServiceSessionIdSets the value of field 'serviceSessionId'.
`void` | `setVoucherPresented(java.lang.String voucherPresented)` Method setVoucherPresentedSets the value of field 'voucherPresented'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _customerOnChargeRef

    private java.lang.String _customerOnChargeRef

  Field _customerOnChargeRef

### _deliveryMethod

    private java.lang.String _deliveryMethod

  Field _deliveryMethod

### _deliveryTrackingRef

    private java.lang.String _deliveryTrackingRef

  Field _deliveryTrackingRef

### _has_itemQuantity

    private boolean _has_itemQuantity

  keeps track of state for field: _itemQuantity

### _itemCode

    private java.lang.String _itemCode

  Field _itemCode

### _itemCost

    private java.math.BigDecimal _itemCost

  Field _itemCost

### _itemQuantity

    private int _itemQuantity

  Field _itemQuantity

### _serviceCode

    private java.lang.String _serviceCode

  Field _serviceCode

### _serviceRequest

    private java.lang.String _serviceRequest

  Field _serviceRequest

### _serviceResponse

    private java.lang.String _serviceResponse

  Field _serviceResponse

### _serviceSessionId

    private java.lang.String _serviceSessionId

  Field _serviceSessionId

### _voucherPresented

    private java.lang.String _voucherPresented

  Field _voucherPresented

Constructor Detail

### PurchaseItemType

    public PurchaseItemType()

Method Detail

### getCustomerOnChargeRef

    public java.lang.String getCustomerOnChargeRef()

  Method getCustomerOnChargeRefReturns the value of field 'customerOnChargeRef'.

  Returns:
    the value of field 'customerOnChargeRef'.

### getDeliveryMethod

    public java.lang.String getDeliveryMethod()

  Method getDeliveryMethodReturns the value of field 'deliveryMethod'.

  Returns:
    the value of field 'deliveryMethod'.

### getDeliveryTrackingRef

    public java.lang.String getDeliveryTrackingRef()

  Method getDeliveryTrackingRefReturns the value of field 'deliveryTrackingRef'.

  Returns:
    the value of field 'deliveryTrackingRef'.

### getItemCode

    public java.lang.String getItemCode()

  Method getItemCodeReturns the value of field 'itemCode'.

  Returns:
    the value of field 'itemCode'.

### getItemCost

    public java.math.BigDecimal getItemCost()

  Method getItemCostReturns the value of field 'itemCost'.

  Returns:
    the value of field 'itemCost'.

### getItemQuantity

    public int getItemQuantity()

  Method getItemQuantityReturns the value of field 'itemQuantity'.

  Returns:
    the value of field 'itemQuantity'.

### getServiceCode

    public java.lang.String getServiceCode()

  Method getServiceCodeReturns the value of field 'serviceCode'.

  Returns:
    the value of field 'serviceCode'.

### getServiceRequest

    public java.lang.String getServiceRequest()

  Method getServiceRequestReturns the value of field 'serviceRequest'.

  Returns:
    the value of field 'serviceRequest'.

### getServiceResponse

    public java.lang.String getServiceResponse()

  Method getServiceResponseReturns the value of field 'serviceResponse'.

  Returns:
    the value of field 'serviceResponse'.

### getServiceSessionId

    public java.lang.String getServiceSessionId()

  Method getServiceSessionIdReturns the value of field 'serviceSessionId'.

  Returns:
    the value of field 'serviceSessionId'.

### getVoucherPresented

    public java.lang.String getVoucherPresented()

  Method getVoucherPresentedReturns the value of field 'voucherPresented'.

  Returns:
    the value of field 'voucherPresented'.

### hasItemQuantity

    public boolean hasItemQuantity()

  Method hasItemQuantity

### isValid

    public boolean isValid()

  Method isValid

### setCustomerOnChargeRef

    public void setCustomerOnChargeRef(java.lang.String customerOnChargeRef)

  Method setCustomerOnChargeRefSets the value of field 'customerOnChargeRef'.

  Parameters:
    `customerOnChargeRef` - the value of field 'customerOnChargeRef'.

### setDeliveryMethod

    public void setDeliveryMethod(java.lang.String deliveryMethod)

  Method setDeliveryMethodSets the value of field 'deliveryMethod'.

  Parameters:
    `deliveryMethod` - the value of field 'deliveryMethod'.

### setDeliveryTrackingRef

    public void setDeliveryTrackingRef(java.lang.String deliveryTrackingRef)

  Method setDeliveryTrackingRefSets the value of field 'deliveryTrackingRef'.

  Parameters:
    `deliveryTrackingRef` - the value of field 'deliveryTrackingRef'.

### setItemCode

    public void setItemCode(java.lang.String itemCode)

  Method setItemCodeSets the value of field 'itemCode'.

  Parameters:
    `itemCode` - the value of field 'itemCode'.

### setItemCost

    public void setItemCost(java.math.BigDecimal itemCost)

  Method setItemCostSets the value of field 'itemCost'.

  Parameters:
    `itemCost` - the value of field 'itemCost'.

### setItemQuantity

    public void setItemQuantity(int itemQuantity)

  Method setItemQuantitySets the value of field 'itemQuantity'.

  Parameters:
    `itemQuantity` - the value of field 'itemQuantity'.

### setServiceCode

    public void setServiceCode(java.lang.String serviceCode)

  Method setServiceCodeSets the value of field 'serviceCode'.

  Parameters:
    `serviceCode` - the value of field 'serviceCode'.

### setServiceRequest

    public void setServiceRequest(java.lang.String serviceRequest)

  Method setServiceRequestSets the value of field 'serviceRequest'.

  Parameters:
    `serviceRequest` - the value of field 'serviceRequest'.

### setServiceResponse

    public void setServiceResponse(java.lang.String serviceResponse)

  Method setServiceResponseSets the value of field 'serviceResponse'.

  Parameters:
    `serviceResponse` - the value of field 'serviceResponse'.

### setServiceSessionId

    public void setServiceSessionId(java.lang.String serviceSessionId)

  Method setServiceSessionIdSets the value of field 'serviceSessionId'.

  Parameters:
    `serviceSessionId` - the value of field 'serviceSessionId'

### setVoucherPresented

    public void setVoucherPresented(java.lang.String voucherPresented)

  Method setVoucherPresentedSets the value of field 'voucherPresented'.

  Parameters:
    `voucherPresented` - the value of field 'voucherPresented'

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD